---
title: TypedArray.prototype.toString()
slug: Web/JavaScript/Reference/Global_Objects/TypedArray/toString
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - TypedArray
---
<div>{{JSRef}}</div>

<p>The <strong><code>toString()</code></strong> method returns a string representing the specified array and its elements. This method has the same algorithm as {{jsxref("Array.prototype.toString()")}}. <em>TypedArray</em> is one of the <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/TypedArray#TypedArray_objects">typed array types</a> here.</p>

<div>{{EmbedInteractiveExample("pages/js/typedarray-tostring.html","shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>typedarray</var>.toString()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the elements of the typed array.</p>

<h2 id="Examples">Examples</h2>

<p>The {{jsxref("TypedArray")}} objects override the <code>toString</code> method of {{jsxref("Object")}}. For <code>TypedArray</code> objects, the <code>toString</code> method joins the array and returns one string containing each typed array element separated by commas. For example, the following code creates a typed array and uses <code>toString</code> to convert the array to a string.</p>

<pre class="brush: js notranslate">var numbers = new Uint8Array([2, 5, 8, 1, 4])
numbers.toString(); // "2,5,8,1,4"
</pre>

<p>JavaScript calls the <code>toString</code> method automatically when a typed array is to be represented as a text value or when an array is referred to in a string concatenation.</p>

<h3 id="Compatibility">Compatibility</h3>

<p>If a browser doesn't support the <code>TypedArray.prototype.toString()</code> method yet, JavaScript will call the <code>toString</code> method of {{jsxref("Object")}}:</p>

<pre class="brush: js notranslate">var numbers = new Uint8Array([2, 5, 8, 1, 4])
numbers.toString(); // "[object Uint8Array]"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-%typedarray%.prototype.tostring', 'Array.prototype.toString')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.TypedArray.toString")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("TypedArray.prototype.join()")}}</li>
</ul>
